function WindActionRight_OnLoad()
	WindCommon_setPoint(MultiBarRightButton1, "TOPLEFT", WindActionRight, "TOPLEFT", 10, -9);
	MultiBarRight:SetScript("OnShow", WindActionRight_OnShow);
	MultiBarRight:SetScript("OnHide", WindActionRight_OnHide);
	MultiBarRight:SetFrameStrata("LOW");
	WindCommon_setSize(MultiBarRight, 1, 1);
	this:RegisterEvent("VARIABLES_LOADED");
end

function WindActionRight_OnShow()
	WindCommon_setPoint(MultiBarRightButton1, "TOPLEFT", WindActionRight, "TOPLEFT", 10, -9);
	WindActionRight:Show();
end

function WindActionRight_OnHide()
	WindActionRight:Hide();
end

function WindActionRight_OnEvent()
	if (event == "VARIABLES_LOADED") then
		WindActionRight_initConfig();
		WindActionRight_setPoint();
		WindActionRight_setScale();
		WindActionRight_setSize();
		WindActionRight_setBorder();
	end
end

function WindActionRight_initConfig()
	if (not WindActionRightConfig) then WindActionRightConfig = WindActionDefault["Right"]; end

	if (IsAddOnLoaded("WindConfig")) then 
		WindActionConfigRight_show();
		WindActionConfigRight_setColor(color); 
	end
end

function WindActionRight_setPoint()
	WindCommon_setPoint(WindActionRight, WindActionRightConfig[1], UIParent, WindActionRightConfig[1], WindActionRightConfig[2], WindActionRightConfig[3]);
end

function WindActionRight_setScale()
	WindActionRight:SetScale(WindActionRightConfig[4]);
	MultiBarRight:SetScale(WindActionRightConfig[4]);
end

function WindActionRight_setSize()
	local index = WindActionRightConfig[5];
	WindCommon_setSize(WindActionRight, WindActionBorderSize[index][1], WindActionBorderSize[index][2]);
	WindActionButton_setAnchor(index, "MultiBarRightButton");
end

function WindActionRight_setBorder()
	if (WindActionRightConfig[6]) then 
		WindActionRight:SetBackdrop(WindCommon_ColorBorder);
		WindActionRight_setColor();
	else 
		WindActionRight:SetBackdrop(nil); 
	end
end

function WindActionRight_setColor()
	WindActionRight:SetBackdropBorderColor(WindActionRightConfig[7][1].r, WindActionRightConfig[7][1].g, WindActionRightConfig[7][1].b, WindActionRightConfig[7][1].a);
	WindActionRight:SetBackdropColor(WindActionRightConfig[7][2].r, WindActionRightConfig[7][2].g, WindActionRightConfig[7][2].b, WindActionRightConfig[7][2].a);
end

function WindActionRight_resetColor()
	WindActionRightConfig[7] = WindActionDefault["Right"][7];
	WindActionRight_setColor();
end